
QGIS Application - Bug report #20823

QGIS crashing on exit

2018-12-17 08:24 AM - Grant Boxer

Status: Closed

Priority: Normal

Assignee:

Category: Unknown

Affected QGIS version:3.4.2 Regression?: No

Operating System: Win10 Easy fix?: No

Pull Request or Patch supplied:No Resolution: duplicate

Crashes QGIS or corrupts data:No Copied to github as #: 28642

Description

User Feedback

Closing QGIS causes it to crash

Report Details

Crash ID: 62f1fcd2045780cb9f127836e6b579b8665f3e63

Stack Trace

proj_lpz_dist :

proj_lpz_dist :

QgsCoordinateTransform::transformPolygon :

QgsCoordinateTransform::transformPolygon :

QgsCoordinateTransform::QgsCoordinateTransform :

QHashData::free_helper :

QgsCoordinateTransform::addToCache :

QgsCoordinateTransform::invalidateCache :

QgsApplication::exitQgis :

QgisApp::~QgisApp :

CPLStringList::operator[] :

main :

BaseThreadInitThunk :

RtlUserThreadStart :

QGIS Info

QGIS Version: 3.4.2-Madeira

QGIS code revision: commit:22034aa070

Compiled against Qt: 5.11.2

Running against Qt: 5.11.2

Compiled against GDAL: 2.3.2

Running against GDAL: 2.3.2

System Info

CPU Type: x86_64

Kernel Type: winnt

Kernel Version: 10.0.17134

Related issues:

Duplicates QGIS Application - Bug report # 20283: Crash when exiting program ... Reopened 2018-10-30

History

#1 - 2018-12-17 04:55 PM - Matthias Kuhn

- Subject changed from QGIS still crashing on exit to QGIS crashing on exit

2025-04-26 1/2



#2 - 2018-12-18 01:19 PM - Jürgen Fischer

- Duplicates Bug report #20283: Crash when exiting program [proj_lpz_dist] added

#3 - 2018-12-18 01:19 PM - Jürgen Fischer

- Resolution set to duplicate

#4 - 2019-01-08 12:11 PM - Jürgen Fischer

- Status changed from Open to Closed
